[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.DoDraw

Performs actions needed to draws the specified image at the given coordinates using AlphaBlending.

## Declaration

Source position: lazcanvas.pas line 114

`protected procedure TLazCanvas.DoDraw(`
`x: Integer;`
`y: Integer;`
`const AImage: TFPCustomImage`
`); override;`

## Arguments

`x` |  | Left coordinate on the Lazarus canvas where the specified image is drawn.
`y` |  | Top coordinate on the Lazarus canvas where the specified image is drawn.
`AImage` |  | Image drawn on the Lazarus canvas at the specified position.

## Description

DoDraw is an overridden method in TLazCanvas. It reimplements the method from an ancestor class (TFPixelCanvas), and calls the AlphaBlend_Image method to draw the specified image at the given position.

X and Y contain the left and top coordinates on the Lazarus canvas where the image is drawn.

AImage is the TFPCustomImage instance drawn at the specified position.

DoDraw is used to implement the DoDrawImage method.

## See also

TLazCanvas.AlphaBlend_Image |  | AlphaBlends the specified image onto the canvas.